Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.servlet.logging
Class FormatStringBuffer

    java.lang.Object
      |
      +--weblogic.servlet.logging.FormatStringBuffer

public final class FormatStringBuffer
extends java.lang.Object

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`FormatStringBuffer()` Constructs a FormatStringBuffer with the initial capacity of 128 characters
`FormatStringBuffer(int size)` Constructs a FormatStringBuffer with the initial capacity specified by the size argument.

Method Summary
`FormatStringBuffer` | `append(char c)` Appends the char argument to this string buffer.
`FormatStringBuffer` | `append(char[] c)` Appends the char[] argument to this string buffer.
`FormatStringBuffer` | `append(int i)` Appends the string representation of the int argument to this string buffer.
`FormatStringBuffer` | `append(java.lang.String s)` Appends the string argument to this string buffer.
`FormatStringBuffer` | `appendDate()`
`FormatStringBuffer` | `appendMonth(int number)`
`FormatStringBuffer` | `appendQuotedValueOrDash(java.lang.String value)` Appends the string argument with quotes or a dash to the string buffer.
`FormatStringBuffer` | `appendStatusCode(int number)` Appends the Staus code to the string buffer.
`FormatStringBuffer` | `appendTime()`
`FormatStringBuffer` | `appendTwoDigits(int number)` Appends two digits to the string buffer.
`FormatStringBuffer` | `appendValueOrDash(java.lang.String value)` Appends the string argument or a dash if null to the string buffer.
`FormatStringBuffer` | `appendValueOrEmpty(java.lang.String val)` Appends the string representation of the string argument or nothing if null to this string buffer.
`FormatStringBuffer` | `appendYear(int yearMinus1900)`
`byte[]` | `getBytes()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormatStringBuffer

    public FormatStringBuffer()

  Constructs a FormatStringBuffer with the initial capacity of 128 characters

### FormatStringBuffer

    public FormatStringBuffer(int size)

  Constructs a FormatStringBuffer with the initial capacity specified by the size argument.

Method Detail

### append

    public final FormatStringBuffer append(java.lang.String s)

  Appends the string argument to this string buffer.

### append

    public final FormatStringBuffer append(char c)

  Appends the char argument to this string buffer.

### append

    public final FormatStringBuffer append(char[] c)

  Appends the char[] argument to this string buffer.

### append

    public final FormatStringBuffer append(int i)

  Appends the string representation of the int argument to this string buffer.

### appendValueOrEmpty

    public final FormatStringBuffer appendValueOrEmpty(java.lang.String val)

  Appends the string representation of the string argument or nothing if null to this string buffer.

### appendTwoDigits

    public final FormatStringBuffer appendTwoDigits(int number)

  Appends two digits to the string buffer.

### appendValueOrDash

    public final FormatStringBuffer appendValueOrDash(java.lang.String value)

  Appends the string argument or a dash if null to the string buffer. This is the safest most usefuly API for the custom loggers to use

### appendQuotedValueOrDash

    public final FormatStringBuffer appendQuotedValueOrDash(java.lang.String value)

  Appends the string argument with quotes or a dash to the string buffer.

### appendStatusCode

    public final FormatStringBuffer appendStatusCode(int number)

  Appends the Staus code to the string buffer.

### getBytes

    public final byte[] getBytes()

### toString

    public final java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### appendMonth

    public final FormatStringBuffer appendMonth(int number)

### appendYear

    public final FormatStringBuffer appendYear(int yearMinus1900)

### appendDate

    public final FormatStringBuffer appendDate()

### appendTime

    public final FormatStringBuffer appendTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD